---

- name: Verify
  hosts: all
  vars:
    ntp_servers_chronyd_0: server 0.pool.ntp.org iburst
  tasks:
    - name: Gathering service facts
      service_facts:
    # - name: show services
    #   debug:
    #     var: ansible_facts.services
    - name: check chronyd (Debian)
      assert:
        that: ansible_facts.services["chrony"].state == "running"
      when: ansible_os_family == 'Debian'
    - name: check chronyd (RedHat)
      assert:
        that: ansible_facts.services["chronyd.service"].state == "running"
      when: ansible_os_family == 'RedHat'
    - name: get chrony status
      command: chronyc tracking
      register: chonyc_tracking
      changed_when: false
    # - debug:
    #     var: chonyc_tracking
    - name: check chonyc_tracking
      assert:
        that:
          - "'Leap status     : Normal' in chonyc_tracking.stdout"
    - name: Chect timedatectl NTP status
      block:
        - name: get NTP status
          command: timedatectl status
          register: ntp_status
          changed_when: false
        # - debug:
        #     var: ntp_status
        - name: check NTP status
          assert:
            that:
              - "'NTP enabled: yes' in ntp_status.stdout or
                 'NTP service: active' in ntp_status.stdout"
              - "'NTP synchronized: yes' in ntp_status.stdout or
                 'System clock synchronized: yes' in ntp_status.stdout"
      when: ansible_os_family == 'RedHat'
